EVENTFD_SIGNAL(9)

NAME
eventfd_signal - Adds n to the eventfd counter.

SYNOPSIS

__u64 eventfd_signal(struct eventfd_ctx * ctx, __u64 n);

ARGUMENTS

ctx
    [in] Pointer to the eventfd context.

n
    [in] Value of the counter to be added to the eventfd internal counter. The value cannot be negative.

DESCRIPTION

This function is supposed to be called by the kernel in paths that do not allow sleeping. In this function we allow the counter to reach the ULLONG_MAX value, and we signal this as overflow condition by returining a POLLERR to poll(2).

Returns the amount by which the counter was incrememnted. This will be less than n if the counter has overflowed.

COPYRIGHT